- Qt 5.15
- Qt Location
- QML Types
- RouteLeg QML Type
- Qt 5.15.19 Reference Documentation

# RouteLeg QML Type

The RouteLeg type represents a leg of a Route, that is the portion of a route between one waypoint and the next. More...

Import Statement: | import QtLocation 5.15
Since: | QtLocation 5.12

- List of all members, including inherited members

## Properties

- legIndex : int
- overallRoute : Route

## Detailed Description

Note: Since RouteLeg is a subclass of Route, QtLocation::Route::legs will return an empty list if accessed on a route leg.

## Property Documentation

legIndex : int

Read-only property which holds the index of the leg within the containing Route's list of QtLocation::Route::legs .

overallRoute : Route

Read-only property which holds the Route that contains this leg.